Page MenuHomePhabricator

[Driver] Enable ShadowCallStack, not SafeStack, by default on AArch64 Fuchsia
ClosedPublic

Authored by mcgrathr on Aug 24 2019, 11:11 PM.

Details

Summary

On AArch64, Fuchsia fully supports both SafeStack and ShadowCallStack ABIs.
The latter is now preferred and will be the default. It's possible to
enable both simultaneously, but ShadowCallStack is believed to have most
of the practical benefit of SafeStack with less cost.

Event Timeline

mcgrathr created this revision.Aug 24 2019, 11:11 PM

This should land only after we've done our first stages of downstream roll-out and burn-in testing. But setting it up now.

jakehehrlich accepted this revision.Aug 26 2019, 4:19 PM

Landing aside, this looks good to me

This revision is now accepted and ready to land.Aug 26 2019, 4:19 PM

It's time to land this now. Can one of you commit it for me?

leonardchan closed this revision.Oct 28 2019, 2:59 PM

Manually closed since git push didn't seem to automatically close this. Committed under https://github.com/llvm/llvm-project/commit/85b718f53a3575bca2f1b7fdb1b3aaa6df7c10e3.